path: /build/build/xdotool-x11-misc-3.20160805.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-misc/xdotool -pv -t && \
    emerge -j ${JOBS} --nodeps x11-misc/xdotool
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xdotool && luet-portage --dir /pkgdir/xdotool
    x11-misc/xdotool && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c5ac5d54df3db55d3ba2f4958882695546004981c101041d8bbc786138a4240
  package:
    name: xdotool
    version: 3.20160805.1
    category: x11-misc
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Simulate keyboard input and mouse activity, move and resize windows
    uri:
    - https://www.semicomplete.com/projects/xdotool/
    license: BSD
    buildtimestamp: 2023-10-14 17:49:21.643921372 +0000 UTC m=+116.732345053
    labels:
      DEPEND: x11-libs/libXtst x11-libs/libX11 x11-libs/libXinerama x11-libs/libxkbcommon
        x11-base/xorg-proto
      IUSE: examples
      RDEPEND: x11-libs/libXtst x11-libs/libX11 x11-libs/libXinerama x11-libs/libxkbcommon
      emerge.packages: x11-misc/xdotool
      kit: desktop-kit
      original.package.name: x11-misc/xdotool
      original.package.slot: "0"
      original.package.version: 3.20160805.1
    treedir: /build/packages
  package_dir: /pkgdir/xdotool
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1abcbefc3781b4451bd798c7126b51103142c6c6b94dd0c828b9eead17a815ab
compressiontype: zstd
files:
- usr/bin/xdotool
- usr/include/xdo.h
- usr/lib64/libxdo.so
- usr/lib64/libxdo.so.3
- usr/share/doc/xdotool-3.20160805.1/CHANGELIST.bz2
- usr/share/doc/xdotool-3.20160805.1/README.bz2
- usr/share/man/man1/xdotool.1.bz2
- var/db/pkg/x11-misc/xdotool-3.20160805.1/BUILD_TIME
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CATEGORY
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CBUILD
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CC
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CFLAGS
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CHOST
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CONTENTS
- var/db/pkg/x11-misc/xdotool-3.20160805.1/COUNTER
- var/db/pkg/x11-misc/xdotool-3.20160805.1/CXXFLAGS
- var/db/pkg/x11-misc/xdotool-3.20160805.1/DEFINED_PHASES
- var/db/pkg/x11-misc/xdotool-3.20160805.1/DEPEND
- var/db/pkg/x11-misc/xdotool-3.20160805.1/DESCRIPTION
- var/db/pkg/x11-misc/xdotool-3.20160805.1/EAPI
- var/db/pkg/x11-misc/xdotool-3.20160805.1/FEATURES
- var/db/pkg/x11-misc/xdotool-3.20160805.1/HOMEPAGE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/INHERITED
- var/db/pkg/x11-misc/xdotool-3.20160805.1/IUSE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/KEYWORDS
- var/db/pkg/x11-misc/xdotool-3.20160805.1/LDFLAGS
- var/db/pkg/x11-misc/xdotool-3.20160805.1/LICENSE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/NEEDED
- var/db/pkg/x11-misc/xdotool-3.20160805.1/PF
- var/db/pkg/x11-misc/xdotool-3.20160805.1/PROVIDES
- var/db/pkg/x11-misc/xdotool-3.20160805.1/RDEPEND
- var/db/pkg/x11-misc/xdotool-3.20160805.1/REQUIRES
- var/db/pkg/x11-misc/xdotool-3.20160805.1/RESTRICT
- var/db/pkg/x11-misc/xdotool-3.20160805.1/SIZE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/SLOT
- var/db/pkg/x11-misc/xdotool-3.20160805.1/USE
- var/db/pkg/x11-misc/xdotool-3.20160805.1/environment.bz2
- var/db/pkg/x11-misc/xdotool-3.20160805.1/repository
- var/db/pkg/x11-misc/xdotool-3.20160805.1/xdotool-3.20160805.1.ebuild
package_cacheimage: ""
runtime:
  name: xdotool
  version: 3.20160805.1
  category: x11-misc
  requires:
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXinerama
    version: '>=0'
    category: x11-libs
  - name: libXtst
    version: '>=0'
    category: x11-libs
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Simulate keyboard input and mouse activity, move and resize windows
  uri:
  - https://www.semicomplete.com/projects/xdotool/
  license: BSD
  labels:
    DEPEND: x11-libs/libXtst x11-libs/libX11 x11-libs/libXinerama x11-libs/libxkbcommon
      x11-base/xorg-proto
    IUSE: examples
    RDEPEND: x11-libs/libXtst x11-libs/libX11 x11-libs/libXinerama x11-libs/libxkbcommon
    emerge.packages: x11-misc/xdotool
    kit: desktop-kit
    original.package.name: x11-misc/xdotool
    original.package.slot: "0"
    original.package.version: 3.20160805.1
